Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class ContactCenterSimResultsParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.ContactCenterEvalResultsParams
          umontreal.iro.lecuyer.contactcenters.app.params.ContactCenterSimResultsParams

    public class ContactCenterSimResultsParams

extends ContactCenterEvalResultsParams

Represents results obtained by performing simulation on a contact center.

Field Summary
`protected List<PMMatrix>` | `maxMatrices`
`protected List<PMMatrix>` | `minMatrices`
`protected List<PMMatrixInt>` | `numObsMatrices`
`protected Integer` | `numSteps`
`protected List<ObsMatrix>` | `observationMatrices`
`protected List<PMMatrix>` | `varianceMatrices`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.params.ContactCenterEvalResultsParams
`agentGroups, agentGroupSegments, contactTypeSegments, defaultUnit, evalInfo, inboundTypes, inboundTypeSegments, matricesOfAWT, numMatricesOfAWT, outboundTypes, outboundTypeSegments, performanceMeasureMatrices, periods, periodSegments, report, waitingQueues, waitingQueueSegments`

Constructor Summary
`ContactCenterSimResultsParams()`

Method Summary
`List<PMMatrix>` | `getMaxMatrices()` Gets the value of the maxMatrices property.
`List<PMMatrix>` | `getMinMatrices()` Gets the value of the minMatrices property.
`List<PMMatrixInt>` | `getNumObsMatrices()` Gets the value of the numObsMatrices property.
`int` | `getNumSteps()` Gets the value of the numSteps property.
`List<ObsMatrix>` | `getObservationMatrices()` Gets the value of the observationMatrices property.
`List<PMMatrix>` | `getVarianceMatrices()` Gets the value of the varianceMatrices property.
`boolean` | `isSetMaxMatrices()`
`boolean` | `isSetMinMatrices()`
`boolean` | `isSetNumObsMatrices()`
`boolean` | `isSetNumSteps()`
`boolean` | `isSetObservationMatrices()`
`boolean` | `isSetVarianceMatrices()`
`void` | `setNumSteps(int value)` Sets the value of the numSteps property.
`void` | `unsetMaxMatrices()`
`void` | `unsetMinMatrices()`
`void` | `unsetNumObsMatrices()`
`void` | `unsetNumSteps()`
`void` | `unsetObservationMatrices()`
`void` | `unsetVarianceMatrices()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.params.ContactCenterEvalResultsParams
`getAgentGroups, getAgentGroupSegments, getContactTypeSegments, getDefaultUnit, getEvalInfo, getInboundTypes, getInboundTypeSegments, getMatricesOfAWT, getNumMatricesOfAWT, getOutboundTypes, getOutboundTypeSegments, getPerformanceMeasureMatrices, getPeriods, getPeriodSegments, getReport, getWaitingQueues, getWaitingQueueSegments, isSetAgentGroups, isSetAgentGroupSegments, isSetContactTypeSegments, isSetDefaultUnit, isSetEvalInfo, isSetInboundTypes, isSetInboundTypeSegments, isSetMatricesOfAWT, isSetNumMatricesOfAWT, isSetOutboundTypes, isSetOutboundTypeSegments, isSetPerformanceMeasureMatrices, isSetPeriods, isSetPeriodSegments, isSetReport, isSetWaitingQueues, isSetWaitingQueueSegments, setDefaultUnit, setEvalInfo, setNumMatricesOfAWT, setReport, unsetAgentGroups, unsetAgentGroupSegments, unsetContactTypeSegments, unsetInboundTypes, unsetInboundTypeSegments, unsetMatricesOfAWT, unsetNumMatricesOfAWT, unsetOutboundTypes, unsetOutboundTypeSegments, unsetPerformanceMeasureMatrices, unsetPeriods, unsetPeriodSegments, unsetWaitingQueues, unsetWaitingQueueSegments`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### varianceMatrices

    protected List<PMMatrix> varianceMatrices

### minMatrices

    protected List<PMMatrix> minMatrices

### maxMatrices

    protected List<PMMatrix> maxMatrices

### numObsMatrices

    protected List<PMMatrixInt> numObsMatrices

### observationMatrices

    protected List<ObsMatrix> observationMatrices

### numSteps

    protected Integer numSteps

Constructor Detail

### ContactCenterSimResultsParams

    public ContactCenterSimResultsParams()

Method Detail

### getVarianceMatrices

    public List<PMMatrix> getVarianceMatrices()

  Gets the value of the varianceMatrices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the varianceMatrices property.

  For example, to add a new item, do as follows:

          getVarianceMatrices().add(newItem);

  Objects of the following type(s) are allowed in the list `PMMatrix`

### isSetVarianceMatrices

    public boolean isSetVarianceMatrices()

### unsetVarianceMatrices

    public void unsetVarianceMatrices()

### getMinMatrices

    public List<PMMatrix> getMinMatrices()

  Gets the value of the minMatrices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the minMatrices property.

  For example, to add a new item, do as follows:

          getMinMatrices().add(newItem);

  Objects of the following type(s) are allowed in the list `PMMatrix`

### isSetMinMatrices

    public boolean isSetMinMatrices()

### unsetMinMatrices

    public void unsetMinMatrices()

### getMaxMatrices

    public List<PMMatrix> getMaxMatrices()

  Gets the value of the maxMatrices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the maxMatrices property.

  For example, to add a new item, do as follows:

          getMaxMatrices().add(newItem);

  Objects of the following type(s) are allowed in the list `PMMatrix`

### isSetMaxMatrices

    public boolean isSetMaxMatrices()

### unsetMaxMatrices

    public void unsetMaxMatrices()

### getNumObsMatrices

    public List<PMMatrixInt> getNumObsMatrices()

  Gets the value of the numObsMatrices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the numObsMatrices property.

  For example, to add a new item, do as follows:

          getNumObsMatrices().add(newItem);

  Objects of the following type(s) are allowed in the list `PMMatrixInt`

### isSetNumObsMatrices

    public boolean isSetNumObsMatrices()

### unsetNumObsMatrices

    public void unsetNumObsMatrices()

### getObservationMatrices

    public List<ObsMatrix> getObservationMatrices()

  Gets the value of the observationMatrices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the observationMatrices property.

  For example, to add a new item, do as follows:

          getObservationMatrices().add(newItem);

  Objects of the following type(s) are allowed in the list `ObsMatrix`

### isSetObservationMatrices

    public boolean isSetObservationMatrices()

### unsetObservationMatrices

    public void unsetObservationMatrices()

### getNumSteps

    public int getNumSteps()

  Gets the value of the numSteps property.

  Returns:
    possible object is `Integer`

### setNumSteps

    public void setNumSteps(int value)

  Sets the value of the numSteps property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumSteps

    public boolean isSetNumSteps()

### unsetNumSteps

    public void unsetNumSteps()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.